Subject: Re: bug#71177: 30.0.50; crash when opening and closing many TTY frames in succession

From: Po Lu <[email-masked]>
Date: Sat, 25 May 2024 08:37:46 +0800

Eli Zaretskii <[email-masked]> writes:

> I think it crashes because of this SIGPIPE.  I hope some Unix expert
> will be able to explain why Emacs gets get SIGPIPE in this scenario.
> Perhaps because you kill emacsclient too quickly?

That's a red herring.  It's because Daniel is running Emacs under GDB
that his backtrace ends with a SIGPIPE, while the backtrace for the
crash lies elsewhere.

  (gdb) handle SIGPIPE noprint pass

is probably in order, I suspect.